summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorRaphaël Doursenaud2015-07-05 17:57:58 +0200
committerRaphaël Doursenaud2015-07-05 17:57:58 +0200
commit5c27070e5e13844b108c7cd622f00a7899c2edf1 (patch)
treef0620571bf5faa758e4c411cdc2f657ac0e1ef71 /PKGBUILD
downloadaur-5c27070e5e13844b108c7cd622f00a7899c2edf1.tar.gz
Initial import
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD48
1 files changed, 48 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..0f47ade2dff
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,48 @@
+# Maintainer: Raphaël Doursenaud <rdoursenaud@free.fr>
+
+pkgname=brother-dcp9055cdn
+pkgver=1.1.1
+pkgrel=6
+_pkgrel=5
+pkgdesc="Brother CUPS and LPD driver for DCP-9055CDN"
+arch=('i686' 'x86_64')
+url="http://welcome.solutions.brother.com/bsc/public_s/id/linux/en/download_prn.html#DCP-9055CDN"
+license=('custom:Brother' 'GPL')
+
+if [ "$(uname -m)" = "x86_64" ]; then
+ depends=('lib32-glibc' 'psutils' 'ghostscript' 'cups')
+else
+ depends=('psutils' 'ghostscript' 'cups')
+fi
+
+source=(http://www.brother.com/pub/bsc/linux/dlf/dcp9055cdnlpr-$pkgver-$_pkgrel.i386.deb
+ http://www.brother.com/pub/bsc/linux/dlf/dcp9055cdncupswrapper-$pkgver-$_pkgrel.i386.deb
+ brlpdwrapperdcp9055cdn)
+
+md5sums=('f9ffc1a38fcc64e1d7f82d13652a1f57'
+ 'b08a49bee644dac18229c2843c5349b2'
+ '2d368a9cbaeffbc7c9e24bcafe45b71e')
+
+prepare()
+{
+ mkdir -p $srcdir/unpack || return 1
+ for i in $srcdir/*.deb
+ do
+ cd $srcdir/unpack
+ ar -x $i || return 1
+ cd $srcdir
+ bsdtar -pxf $srcdir/unpack/data.tar.gz || return 1
+ done
+}
+
+package()
+{
+ # Mimic deb install
+ cp -a $srcdir/usr $pkgdir/ || return 1
+ # Install PPD to the standard path so that cups can find it
+ install -d -m755 $pkgdir/usr/share/cups/model || return 1
+ install -D -m644 $srcdir/usr/local/Brother/Printer/dcp9055cdn/cupswrapper/dcp9055cdn.ppd $pkgdir/usr/share/cups/model || return 1
+ # Install tuned cups filter
+ install -d -m755 $pkgdir/usr/lib/cups/filter || return 1
+ install -D -m755 $srcdir/brlpdwrapperdcp9055cdn $pkgdir/usr/lib/cups/filter || return 1
+}